--Integrate into a channel instead of whispers
--But probably also keep whispers, do both

--So for channel see
JoinPermanentChannel("foo")
LeaveChannelByName("foo")

--For existing channels see:
local foo = { GetChannelList() }

--There is also:
GetChannelName(0)

--Opa this also works:
ChannelKick("foobar", "Succpotato")
--But kick is actually ban...
--And unban does not actually work...
--Hmm...
--Relog (of the banned) seems to fix it (fix the kick that is)
--But relog does not fix the ban!
ChannelBan("foobar", "Succpotato")
ChannelUnban("foobar", "Succpotato")

--Mute and unmute both seem to work fine
ChannelMute("foobar", "Succpotato")
ChannelUnmute("foobar", "Succpotato")

--A player can be owner/moderator only for as long as they are online
--So these commands don't make much sense...
ChannelModerator("foobar", "Succpotato")
ChannelUnmoderator("foobar", "Succpotato")

--We can also set password!!
--But only by owner and only via chat
--/pass foobar secret

--Wiki:
--You can only be in ten chat channels at any given time. This does not include other chat types such as say, yell, party, raid, guild, officer, or whisper which are not considered channels.
